Function
readNChars
Read exactly n characters from stream into buffer
readNChars(TBuffer & buffer, RecordReader<TStream, TPass> & recordReader, unsigned const n)
Include Headers
seqan/stream.h
Parameters

buffer | The buffer to write to Types: CharString, DnaString, or similar
recordReader | The RecordReader to read from. Types: RecordReader
n | The number of characters to read Types: unsigned

Return Values
0 if there was no error reading
non-zero value on errors, especially EOF_BEFORE_SUCCESS
Types: int, TokenizeResult
Member of
RecordReader
See Also
TokenizeResult
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58